Package com.databend.jdbc

# Enum StatementType

java.lang.Object
java.lang.Enum<StatementType>
com.databend.jdbc.StatementType

All Implemented Interfaces:
  `Serializable`, `Comparable<StatementType>`, `java.lang.constant.Constable`

public enum StatementType extends Enum<StatementType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NON_QUERY`
`PARAM_SETTING`
`QUERY`

## Method Summary

Modifier and Type
Method
Description
`static StatementType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StatementType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PARAM_SETTING

public static final StatementType PARAM_SETTING

### QUERY

public static final StatementType QUERY

### NON_QUERY

public static final StatementType NON_QUERY

## Method Details

### values

public static StatementType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static StatementType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null